%define _prefix /usr

# determine what platform we are building on
%define fedora 0
%define suse 0
%define mdk 0

%if %{_vendor} == redhat
	%define fedora 1
%endif
%if %{_vendor} == suse
	%define suse 1
%endif
%if %{_vendor} == mandrake
	%define mdk 1
%endif

%if ! %{fedora} && ! %{suse} && ! %{mdk}
%{error: Unknown platform. Please examine the spec file.}
exit 1
%endif

Summary: SSH session manager for GNOME
Name: gnome-sshman
Version: 0.4.3
Release: 1
Group: Applications/Communications
Copyright: GPL v2
Source0: %{name}-%{version}.tgz
Source1: %{name}.png
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.oronetes.net/webs/gnome-sshman/
Packager: D. Scott Barninger <barninger at fairfieldcomputers dot com>
BuildArchitectures: noarch

Requires: python, openssh
%if %{fedora}
Requires: pygtk2 >= 2, pygtk2-libglade, gnome-python2
%endif
%if %{suse}
Requires: python-gtk >= 2, python-gnome >= 2
%endif
%if %{mdk}
Requires: pygtk2.0 >= 2, pygtk2.0-libglade, gnome-python >= 2
%endif


%description
Gnome-sshman is an SSH session manager for GNOME. It is easy 
and fast to use, and is useful for system administrators that 
need to connect to many SSH servers. Gnome-sshman saves ssh 
sessions and allows you to open a saved session with a double 
click in nautilus or opening a new session running gnome-sshman.


%prep

%setup 

%build


%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/gnome-sshman
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/locale
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/applications
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/pixmaps

cp -p libs/* $RPM_BUILD_ROOT%{_prefix}/share/gnome-sshman/
cp -p bin/gnome-sshman $RPM_BUILD_ROOT%{_prefix}/bin/
cp -pr i18n/* $RPM_BUILD_ROOT%{_prefix}/share/locale/
cp -p %SOURCE1 $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/

echo "[Desktop Entry]" > $RPM_BUILD_ROOT%{_prefix}/share/applications/%{name}.desktop
echo "Encoding=UTF-8" >> $RPM_BUILD_ROOT%{_prefix}/share/applications/%{name}.desktop
echo "Name=%{name}" >> $RPM_BUILD_ROOT%{_prefix}/share/applications/%{name}.desktop
echo "Type=Application" >> $RPM_BUILD_ROOT%{_prefix}/share/applications/%{name}.desktop
echo "Exec=%{_prefix}/bin/%{name}" >> $RPM_BUILD_ROOT%{_prefix}/share/applications/%{name}.desktop
echo "Icon=%{_prefix}/share/pixmaps/%{name}.png" >> $RPM_BUILD_ROOT%{_prefix}/share/applications/%{name}.desktop
echo "Terminal=0" >> $RPM_BUILD_ROOT%{_prefix}/share/applications/%{name}.desktop
echo "StartupNotify=true" >> $RPM_BUILD_ROOT%{_prefix}/share/applications/%{name}.desktop
echo "Categories=Application;Utility;" >> $RPM_BUILD_ROOT%{_prefix}/share/applications/%{name}.desktop


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_prefix}/share/*
%{_prefix}/bin/*

%post

%preun

%changelog
* Thu Feb 10 2005 D. Scott Barninger <barninger at fairfieldcomputers.com>
- initial spec file
